changeset 1111:addcb77fe500

Add an old-http test case This uses a trivial Python http server to test pulling from a static http server.
author mpm@selenic.com
date Sat, 27 Aug 2005 18:27:45 -0700
parents 1032a505488c
children 87cbfaf79124
files tests/test-static-http tests/test-static-http.out
diffstat 2 files changed, 67 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-static-http	Sat Aug 27 18:27:45 2005 -0700
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+hg clone old-http://localhost:20059/ copy
+echo $?
+ls copy
+
+# This server doesn't do range requests so it's basically only good for
+# one pull
+cat > dumb.py <<EOF
+import BaseHTTPServer, SimpleHTTPServer, signal
+
+def run(server_class=BaseHTTPServer.HTTPServer,
+        handler_class=SimpleHTTPServer.SimpleHTTPRequestHandler):
+    server_address = ('localhost', 20059)
+    httpd = server_class(server_address, handler_class)
+    httpd.serve_forever()
+
+signal.signal(signal.SIGTERM, lambda x: sys.exit(0))
+run()
+EOF
+
+python dumb.py 2>/dev/null &
+
+mkdir remote
+cd remote
+hg init
+echo foo > bar
+hg add bar
+hg commit -m"test" -d"0 0"
+hg tip
+
+cd ..
+
+hg clone old-http://localhost:20059/remote local
+
+cd local
+hg verify
+cat bar
+hg pull
+
+kill $!
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-static-http.out	Sat Aug 27 18:27:45 2005 -0700
@@ -0,0 +1,26 @@
+requesting all changes
+adding changesets
+adding manifests
+adding file changes
+added 0 changesets with 0 changes to 0 files
+0
+changeset:   0:61c9426e69fe
+tag:         tip
+user:        test
+date:        Thu Jan  1 00:00:00 1970 +0000
+summary:     test
+
+requesting all changes
+adding changesets
+adding manifests
+adding file changes
+added 1 changesets with 1 changes to 1 files
+checking changesets
+checking manifests
+crosschecking files in changesets and manifests
+checking files
+1 files, 1 changesets, 1 total revisions
+foo
+pulling from old-http://localhost:20059/remote
+searching for changes
+no changes found